# Topics to cover:

## Introduction

* Getting started
* Library Overview

## RxUI Core
* AutoPersistHelper / AutoPersistCollection
* ActOnEveryObject
* BindingTypeConverters
* ICreatesCommandBinding + Implementations
* Design Mode / Unit Test detection + Unit Test Override
* UserError
* Dependency Resolution + ModernDependencyResolver
* ReactiveUI Startup
* ICreatesObservableForProperty + Implementations
* IHandleObservableErrors pattern + DefaultExceptionHandler
* MemoizingMRUCache
* Logging
* MessageBus and how to avoid using it
* ObservableAsPropertyHelper / Output Properties
* OrderedComparer
* Semantics of WhenAny + WhenAnyValue
* Basic Property Binding 
* Property Binding => Type Conversion + Binding Hooks + Hints
* CreateCollection + Testing
* CreateDerivedCollection
* ReactiveCommand Basics + WhenAnyObservable
* ReactiveCommand Async
* ReactiveList Basics + Semantics of Reset + AddRange optimizations + 
  Change Tracking + Suppress Change Notification
* ReactiveObject + Suppress Change Notification
* Reflection Utilities
* List of Registrable Interfaces + Affinity Pattern
* View Location + IViewFor
* Routing
* Suspension Host
* WhenNavigatedTo
* Default Schedulers 

## RxUI.Events
* Events
* Cocoa Delegates

## RxUI.Mobile
* Suspension Basics
* Suspension Host
* Geolocation

## RxUI.Platforms Android
* Android Activity + Fragment
* Android Scheduler / Initialization Trickery
* State of Platform

## RxUI.Platforms Cocoa
* Observing via KVO
* Reactive NSView + NSViewController + IViewFor copy-pasting
* ReactiveTableViewSource
* iOS Nonsense Tricks
* State of Platform

## RxUI.Platforms XAML
* Auto DataTemplate binding hooks
* BooleanToVisibilityTypeConverter
* TransitioningContentControl
* State of Platform

## RxUI.Testing
* Talk about it

## Misc
* Map everything to ReactiveCocoa
* Serialization of ReactiveObject / other things
